<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: profile/profile-body/profile-body-graphics/Score.tsx</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: profile/profile-body/profile-body-graphics/Score.tsx</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>import React from 'react';
import styled from 'styled-components';
import { ResponsiveContainer, RadialBar, RadialBarChart, PolarAngleAxis } from 'recharts';
import colors from '../../../../utils/style/colors';

const Container = styled.div`
  height: 265px;
  background-color: ${colors.background};
  border-radius: 5px;
  position: relative;
  width: 265px;
`;

const ChartTitle = styled.h3`
  margin: 0;
  font-size: 15px;
  font-weight: 500;
  position: absolute;
  top: 25px;
  left: 30px;
`;

const GoalResume = styled.div`
  position: absolute;
  height: 100px;
  width: 100px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  top: calc(50% - 50px);
  right: calc(50% - 50px);

  strong {
    margin: 0;
    font-size: 26px;
    font-weight: 700;
    text-align: center;
  }

  span {
    margin: 0;
    font-size: 16px;
    font-weight: 500;
    text-align: center;
    line-height: 26px;
    color: #6e7c83;
  }
`;

/**
 * Renders the performance graphic
 * @param   {number}   score   user's score
 */
const Score: React.FC&lt;{ score: number }> = ({ score }) => {
  const data = [{ uv: score * 100, fill: colors.secondary }];

  return (
    &lt;Container>
      &lt;ResponsiveContainer width="100%" height="100%">
        &lt;RadialBarChart
          width={200}
          height={200}
          data={data}
          barSize={10}
          startAngle={70}
          endAngle={430}
          innerRadius="62.5%"
        >
          &lt;PolarAngleAxis type="number" domain={[0, 100]} dataKey="uv" angleAxisId={0} tick={false} />
          &lt;RadialBar dataKey="uv" angleAxisId={0} data={data} />
        &lt;/RadialBarChart>
      &lt;/ResponsiveContainer>
      &lt;GoalResume>
        &lt;strong>{score * 100}%&lt;/strong>
        &lt;span> de votre objectif&lt;/span>
      &lt;/GoalResume>
      &lt;ChartTitle>Score&lt;/ChartTitle>
    &lt;/Container>
  );
};

export default Score;
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Global</h3><ul><li><a href="global.html#Activity">Activity</a></li><li><a href="global.html#AverageSessions">AverageSessions</a></li><li><a href="global.html#Header">Header</a></li><li><a href="global.html#KeyFigureCard">KeyFigureCard</a></li><li><a href="global.html#Performance">Performance</a></li><li><a href="global.html#ProfileBody">ProfileBody</a></li><li><a href="global.html#ProfileBodyGraphics">ProfileBodyGraphics</a></li><li><a href="global.html#ProfileBodyKeys">ProfileBodyKeys</a></li><li><a href="global.html#ProfileHeading">ProfileHeading</a></li><li><a href="global.html#Score">Score</a></li><li><a href="global.html#SideBar">SideBar</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Fri Aug 20 2021 11:51:37 GMT+0200 (heure d’été d’Europe centrale)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
